Bug 230136 - mkinitrd fails to grab raid1 module
mkinitrd fails to grab raid1 module
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-26 15:11 EST by Jesse Keating
Modified: 2013-01-09 21:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:13:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-02-26 15:11:57 EST
I did an install with a raid 1 /boot, raid 0 / and a couple swap partitions. 
The initrd wound up with raid0 and raid456 modules, but no raid1 module.  This
makes booting somewhat unpleasent.
Comment 1 Andy Burns 2007-03-03 09:16:37 EST
Similar for me with F7T2, /dev/md0=raid1=boot, /dev/md1=raid5=LVM(root,swap)
installation boots but fails to assemble md0, gives up and issues e2fsck suggestion.
Comment 2 Andy Burns 2007-03-17 08:35:11 EDT
rawhide hasn't been installable (for me at least) for the past week, today it
has reached a better state and a PXE install from local mirror now avoids yum
issues, still ended up without raid1.ko in initrd.img, should this block F7t3?
Comment 3 Andy Burns 2007-04-01 17:52:04 EDT
Just to report this has worked OK on a clean slate F7t3 install /boot on
/dev/md0 RAID1 and root and swap on /dev/md1 RAID1.

Comment 4 Bug Zapper 2008-04-03 15:15:57 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 21:13:53 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.